%define	_kernel			%(eval uname -r)
%define	kernel_rel		%(eval uname -r)
%define	kmdl_kernelsrcdir	/lib/modules/%{kernel_rel}/build
%define	kmdl_moduledir		/lib/modules/%{kernel_rel}/kernel/drivers

%define pkg_name madwifi

Summary: A linux device driver for Atheros chipsets (ar5210, ar5211, ar5212).
Name: %{pkg_name}
Version: 0.9.6.0
Release: b1
License: proprietary
Group: System Environment/Kernel
URL: http://madwifi.org/
Source0: %{name}-%{version}-r1500.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: /usr/bin/uudecode
BuildArchitectures: i586

%description
This package contains the Multiband Atheros Driver for WiFi, A linux
device driver for 802.11a/b/g universal NIC cards - either Cardbus,
PCI or MiniPCI - that use Atheros chipsets (ar5210, ar5211, ar5212).

%package -n %{pkg_name}-kmdl-%{kernel_rel}
Summary: A linux device driver for Atheros chipsets (ar5210, ar5211, ar5212).
Group: System Environment/Kernel
License: GPL/BSD
Requires: %{pkg_name}-hal-kmdl-%{kernel_rel} = %{evr}

%description -n %{pkg_name}-kmdl-%{kernel_rel}
This package contains the Multiband Atheros Driver for WiFi, A linux
device driver for 802.11a/b/g universal NIC cards - either Cardbus,
PCI or MiniPCI - that use Atheros chipsets (ar5210, ar5211, ar5212).

This kmdl contains the GPL/BSD components of madwifi.

%package -n %{pkg_name}-hal-kmdl-%{kernel_rel}
Summary: A linux device driver for Atheros chipsets (ar5210, ar5211, ar5212).
Group: System Environment/Kernel
License: proprietary
Requires: %{pkg_name}-kmdl-%{kernel_rel} = %{evr}

%description -n %{pkg_name}-hal-kmdl-%{kernel_rel}
This package contains the Multiband Atheros Driver for WiFi, A linux
device driver for 802.11a/b/g universal NIC cards - either Cardbus,
PCI or MiniPCI - that use Atheros chipsets (ar5210, ar5211, ar5212).

This kmdl contains the HAL components of madwifi.

%prep
%setup -q
find . -name Makefile\* | xargs perl -pi -e's,/sbin/depmod,: /sbin/depmod,'

%build
export TOOLPREFIX=`which gcc|sed -e's,gcc$,,'`
%ifarch %x86
export TARGET=i386-elf
%endif
%ifarch x86_64
export TARGET=x86_64-elf
%endif

# tools
make -C tools \
     KERNELPATH=%{kmdl_kernelsrcdir} \
     KERNELRELEASE=%{_kernel}

# module
make KERNELPATH=%{kmdl_kernelsrcdir} \
     KERNELRELEASE=%{_kernel}

%install
rm -rf %{buildroot}

export TOOLPREFIX=`which gcc|sed -e's,gcc$,,'`
%ifarch %x86
export TARGET=i386-elf
%endif
%ifarch x86_64
export TARGET=x86_64-elf
%endif

# tools
mkdir -p %{buildroot}%{_bindir}
make -C tools install BINDIR=%{buildroot}%{_bindir} \
     KERNELPATH=%{kmdl_kernelsrcdir} \
     KERNELRELEASE=%{_kernel}

mv hal/COPYRIGHT hal/COPYRIGHT.hal
mv hal/README hal/README.hal

# module
export KERNELPATH=%{kmdl_kernelsrcdir}
export KERNELRELEASE=%{_kernel}
mkdir -p %{buildroot}%{kmdl_moduledir}/net
make KERNELPATH=%{kmdl_kernelsrcdir} \
     KERNELRELEASE=%{_kernel} \
     DESTDIR=%{buildroot} \
     MODULEPATH=%{kmdl_moduledir}/net \
     install

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
#%doc COPYRIGHT README hal/COPYRIGHT.hal hal/README.hal
%{_bindir}/athstats
%{_bindir}/80211stats
%{_bindir}/athdebug
%{_bindir}/80211debug
%{_bindir}/athctrl

%files -n %{pkg_name}-kmdl-%{kernel_rel}
%defattr(-,root,root,-)
%dir %{kmdl_moduledir}/net
%{kmdl_moduledir}/net/ath_pci.*o
%{kmdl_moduledir}/net/ath_rate_sample.*o
%{kmdl_moduledir}/net/wlan.*o
%{kmdl_moduledir}/net/wlan_acl.*o
%{kmdl_moduledir}/net/wlan_ccmp.*o
%{kmdl_moduledir}/net/wlan_tkip.*o
%{kmdl_moduledir}/net/wlan_wep.*o
%{kmdl_moduledir}/net/wlan_xauth.*o

%files -n %{pkg_name}-hal-kmdl-%{kernel_rel}
%defattr(-,root,root,-)
%dir %{kmdl_moduledir}/net
%{kmdl_moduledir}/net/ath_hal.*o


%changelog
* Thu Apr 13 2006 Yuichiro Nakada <berry@po.yui.mine.nu>
- Create for Berry Linux
